/**
 * CSwitch
 * @author Tevin
 */

<template>
    <view :class="['c-switch', className]">
        <AtSwitch
            :title="itemRes.label"
            :checked="itemRes.formData[itemRes.name]"
            :onChange="evt=>itemRes.onChange(evt)"
        />
    </view>
</template>

<script>
import { AtSwitch } from 'taro-ui-vue';
import './cSwitch.scss';

export default {
    name: 'CSwitch',
    components: { AtSwitch },
    props: {
        itemRes: Object,
    },
    data() {
        return {};
    },
    computed: {
        className() {
            let className = '';
            if (this.itemRes.required) {
                className += 'c-switch-required ';
            }
            if (this.itemRes.error) {
                className += 'c-switch-error ';
            }
            return className;
        },
    },
};
</script>